### Method

# Gio SimpleAsyncResult get_op_res_gboolean

deprecated: 2.46

#### Declaration

    gboolean
    g_simple_async_result_get_op_res_gboolean (
      GSimpleAsyncResult* simple
    )

#### Description

Gets the operation result boolean from within the asynchronous result.

Deprecated since: 2.46

Use `GTask` and `g_task_propagate_boolean()` instead.

#### Return value

Type: `gboolean`

`TRUE` if the operation’s result was `TRUE`, `FALSE` if the operation’s result was `FALSE`.